org.eclipse.rdf4j.sail.shacl.AST

## Class PropertyShape

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.AST.PropertyShape

- All Implemented Interfaces:
    PlanGenerator, RequiresEvalutation
  Direct Known Subclasses:
    OrPropertyShape, PathPropertyShape

      public class PropertyShape
      extends Object
      implements PlanGenerator, RequiresEvalutation

  The AST (Abstract Syntax Tree) node that represents a property nodeShape without any restrictions. This node should be extended by other nodes.
  Author:
    Heshan Jayasinghe

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `getId()`
    `NodeShape` | `getNodeShape()`
    `List<Path>` | `getPaths()`
    `PlanNode` | `getPlan(ShaclSailConnection shaclSailConnection, NodeShape nodeShape, boolean printPlans, PlanNode overrideTargetNode)`
    `PlanNode` | `getPlanAddedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `String` | `getPlanAsGraphvizDot(PlanNode planNode, ShaclSailConnection shaclSailConnection)`
    `PlanNode` | `getPlanRemovedStatements(ShaclSailConnection shaclSailConnection, NodeShape nodeShape)`
    `SourceConstraintComponent` | `getSourceConstraintComponent()`
    `boolean` | `requiresEvaluation(SailConnection addedStatements, SailConnection removedStatements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPlan

          public PlanNode getPlan(ShaclSailConnection shaclSailConnection,
                                  NodeShape nodeShape,
                                  boolean printPlans,
                                  PlanNode overrideTargetNode)

      Specified by:
        `getPlan` in interface `PlanGenerator`

    - #### getPlanAddedStatements

          public PlanNode getPlanAddedStatements(ShaclSailConnection shaclSailConnection,
                                                 NodeShape nodeShape)

      Specified by:
        `getPlanAddedStatements` in interface `PlanGenerator`

    - #### getPlanRemovedStatements

          public PlanNode getPlanRemovedStatements(ShaclSailConnection shaclSailConnection,
                                                   NodeShape nodeShape)

      Specified by:
        `getPlanRemovedStatements` in interface `PlanGenerator`

    - #### getPaths

          public List<Path> getPaths()

      Specified by:
        `getPaths` in interface `PlanGenerator`

    - #### requiresEvaluation

          public boolean requiresEvaluation(SailConnection addedStatements,
                                            SailConnection removedStatements)

      Specified by:
        `requiresEvaluation` in interface `RequiresEvalutation`

    - #### getPlanAsGraphvizDot

          public String getPlanAsGraphvizDot(PlanNode planNode,
                                             ShaclSailConnection shaclSailConnection)

    - #### getId

          public Resource getId()

    - #### getNodeShape

          public NodeShape getNodeShape()

    - #### getSourceConstraintComponent

          public SourceConstraintComponent getSourceConstraintComponent()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.